Update
curl --request PUT \
--url https://third-party.etrnl.app/v1/url-groups/{id} \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"customUrl": "<string>",
"name": "<string>",
"appName": "<string>"
}
'import requests
url = "https://third-party.etrnl.app/v1/url-groups/{id}"
payload = {
"customUrl": "<string>",
"name": "<string>",
"appName": "<string>"
}
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({customUrl: '<string>', name: '<string>', appName: '<string>'})
};
fetch('https://third-party.etrnl.app/v1/url-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
success: true,
err: '',
group: {
name: "Updated Group Name",
appName: "ETRNL",
organizationId: 33,
creationDate: "2023-09-26T18:44:59.000Z",
customUrl: "https://example.com/{tagId}/?enc={enc}&cmac={cmac}&eCode={eCode}"
}
}
URL Groups
Update
PUT
/
v1
/
url-groups
/
{id}
Update
If tags have been programmed to this URL, you cannot make changes to the customUrl value.
This would make deprogramming tags impossible as we wouldn’t be able to accurately identify the tag’s dynamic parameters.
Headers
Your organization’s private API key.
URL Params
The ID of the URL Group.
JSON Request Body
The custom URL definition that will be programmed into the tags.
The name of your custom URL group.
This is the service that’s used to add the custom URL.
The custom URL group will show up in the programmer as [APP Name] - Name.
{
success: true,
err: '',
group: {
name: "Updated Group Name",
appName: "ETRNL",
organizationId: 33,
creationDate: "2023-09-26T18:44:59.000Z",
customUrl: "https://example.com/{tagId}/?enc={enc}&cmac={cmac}&eCode={eCode}"
}
}
⌘I